//#
//# Copyright (C) 2021-2024 QuasarApp.
//# Distributed under the GPLv3 software license, see the accompanying
//# Everyone is permitted to copy and distribute verbatim copies
//# of this license document, but changing it is not allowed.
//#


#include "viewtemaplatemodel.h"

namespace ButterflyEngine {

ViewTemaplateModel::ViewTemaplateModel(const QString &viewTempalte, QObject *ptr): QObject(ptr) {
    _viewTemplate = viewTempalte;
}

const QString &ViewTemaplateModel::viewTemplate() const {
    return _viewTemplate;
}

QObject *ViewTemaplateModel::viewObject() const {
    return _viewObject;
}

void ViewTemaplateModel::setViewObject(QObject *newViewObject) {
    if (_viewObject == newViewObject)
        return;
    _viewObject = newViewObject;
    emit viewObjectChanged();
}

}
