//#
//# Copyright (C) 2021-2024 QuasarApp.
//# Distributed under the GPLv3 software license, see the accompanying
//# Everyone is permitted to copy and distribute verbatim copies
//# of this license document, but changing it is not allowed.
//#

#ifndef DEFAULTBACKGROUNDAI_H
#define DEFAULTBACKGROUNDAI_H

#include "ButterflyEngine/core/defaultcontrol.h"
#include <ButterflyEngine/interfaces/iai.h>
class QTimer;

namespace ButterflyEngine {

class DefaultBackgroundAI: public DefaultControl, public IAI {
    Q_OBJECT
public:
    DefaultBackgroundAI();
    ~DefaultBackgroundAI();

    // IAI interface
public:
    void startAI() override;
    void stopAI() override;

private slots:
    void handleTimerTriger();

private:
    QTimer *_timer = nullptr;
};

}
#endif // DEFAULTBACKGROUNDAI_H
